/*
 * $RCSfile: ilink_signals.h,v $  $Revision: 1.16 $  $Name:  $
 * $Id: ilink_signals.h,v 1.16 2006/03/25 04:05:28 bpaauwe Exp $
 * $Author: bpaauwe $
 * $Date: 2006/03/25 04:05:28 $
 * ----------------------------------------------------------------------------
 *
 *  Copyright (c) Bob Paauwe (2006)
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 *  more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * ----------------------------------------------------------------------------
 *
 *  Description:
 *    Header file for insteon message sending functions.
 * ----------------------------------------------------------------------------
 */
#ifndef _ILINK_SIGNALS_H
#define _ILINK_SIGNALS_H

void on_add_device_button_clicked(GtkWidget *widget, gpointer user_data);
void on_add_responder_clicked(GtkWidget *widget, gpointer user_data);
void on_delete_scene_clicked(GtkWidget *widget, gpointer user_data);
void on_scene_delete_clicked(GtkWidget *widget, gpointer user_data);
void on_save_scene_clicked(GtkWidget *widget, gpointer user_data);
void on_delete_device_clicked(GtkWidget *widget, gpointer user_data);
void on_list_links_clicked(GtkWidget *widget, gpointer user_data);
void on_program_device_clicked(GtkWidget *widget, gpointer user_data);
void on_program_all_clicked(GtkWidget *widget, gpointer user_data);
void on_about_close_clicked(GtkWidget *widget, gpointer user_data);
void on_add_scene_clicked(GtkWidget *widget, gpointer user_data);
void on_program_scene_clicked(GtkWidget *widget, gpointer user_data);

void on_scene_selector_changed(GtkWidget *widget, gpointer user_data);
void on_scene_controller_changed(GtkWidget *widget, gpointer user_data);
void on_device_selector_changed(GtkWidget *widget, gpointer user_data);
void on_device_selector_state_changed(GtkWidget *widget, gpointer user_data);

void on_scene_group_editing_done(GtkWidget *widget, gpointer user_data);
void on_scene_group_changed(GtkWidget *widget, gpointer user_data);

void on_save_as1_activate(GtkWidget *widget, gpointer user_data);
void on_new1_activate(GtkWidget *widget, gpointer user_data);
void on_open1_activate(GtkWidget *widget, gpointer user_data);
void on_about1_activate(GtkWidget *widget, gpointer user_data);
void on_quit1_activate(GtkWidget *widget, gpointer user_data);
void on_save1_activate(GtkWidget *widget, gpointer user_data);
void on_ping_device_activate(GtkWidget *widget, gpointer user_data);
void on_device_tools_activate(GtkWidget *widget, gpointer user_data);
void on_scene_menu_activate(GtkWidget *widget, gpointer user_data);
void on_initialize_plc_links_activate(GtkWidget *widget, gpointer user_data);
void on_query_devices_for_scenes_activate(GtkWidget *widget, gpointer user_data);

void on_responder_list_cursor_changed(GtkWidget *widget, gpointer user_data);
void on_link_list_cursor_changed(GtkWidget *widget, gpointer user_data);

void on_about_closebutton_clicked(GtkWidget *widget, gpointer user_data);

void on_replace_device_activate(GtkWidget *widget, gpointer user_data);
void on_replace_response(GtkWidget *widget, gpointer user_data);
void on_replace_close(GtkWidget *widget, gpointer user_data);
void on_replace_cancelbutton_clicked(GtkWidget *widget, gpointer user_data);
void on_replace_okbutton_clicked(GtkWidget *widget, gpointer user_data);

void on_rename_scenes_activate(GtkWidget *widget, gpointer user_data);
void on_sr_cancel_clicked(GtkWidget *widget, gpointer user_data);
void on_sr_apply_clicked(GtkWidget *widget, gpointer user_data);
void on_sr_ok_clicked(GtkWidget *widget, gpointer user_data);

/*
static gboolean on_ilink_main_window_delete_event(GtkWidget *widget,
		GdkEvent *event, gpointer data);
*/

#endif
